summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Hierling <mad@cc.fh-luh.de>2006-07-17 07:35:15 +0000
committerMartin Hierling <mad@cc.fh-luh.de>2006-07-17 07:35:15 +0000
commit072bb2e0a72a0d29e52806f8952d82aad3dcbf80 (patch)
tree88df2a313fc713e7887eadf0da553bd3330f1375 /net-mail/dbmail
parentnet-misc/dbmail fixed pidfile issue in init.d scripts (diff)
downloadsunrise-072bb2e0a72a0d29e52806f8952d82aad3dcbf80.tar.gz
sunrise-072bb2e0a72a0d29e52806f8952d82aad3dcbf80.tar.bz2
sunrise-072bb2e0a72a0d29e52806f8952d82aad3dcbf80.zip
net-mail/dbmail added pre 2.1.7 ebuild
svn path=/sunrise/; revision=627
Diffstat (limited to 'net-mail/dbmail')
-rw-r--r--net-mail/dbmail/ChangeLog3
-rw-r--r--net-mail/dbmail/Manifest40
-rw-r--r--net-mail/dbmail/dbmail-2.1.6.2192.ebuild89
-rw-r--r--net-mail/dbmail/files/digest-dbmail-2.1.6.21923
4 files changed, 119 insertions, 16 deletions
diff --git a/net-mail/dbmail/ChangeLog b/net-mail/dbmail/ChangeLog
index 47e7a1b87..58a3553ff 100644
--- a/net-mail/dbmail/ChangeLog
+++ b/net-mail/dbmail/ChangeLog
@@ -2,6 +2,9 @@
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 17 Jul 2006; Martin Hierling <mad@cc.fh-luh.de> ChangeLog:
+ pre 2.1.7 ebuild
+
04 Jul 2006; Martin Hierling <mad@cc.fh-luh.de> ChangeLog:
Version Bump to 2.1.6, real unstable, SQLite Support not yet added
diff --git a/net-mail/dbmail/Manifest b/net-mail/dbmail/Manifest
index 54ad49289..b89552e7e 100644
--- a/net-mail/dbmail/Manifest
+++ b/net-mail/dbmail/Manifest
@@ -1,29 +1,34 @@
-AUX dbmail-imapd.initd 741 RMD160 20b638bc60c9151c9924b7a9cc1d484062845460 SHA1 92f8214410371f6da3ab687bf21c438ff6bc34c1 SHA256 390231a68a2e9f7d8908213cd4448755e25f594cad333dc658f59169dbc9ab7f
-MD5 a1c81532649f73adb6f175478e852ae2 files/dbmail-imapd.initd 741
-RMD160 20b638bc60c9151c9924b7a9cc1d484062845460 files/dbmail-imapd.initd 741
-SHA256 390231a68a2e9f7d8908213cd4448755e25f594cad333dc658f59169dbc9ab7f files/dbmail-imapd.initd 741
-AUX dbmail-lmtpd.initd 741 RMD160 04b40188dbe506cc2fe675cc66efadbc823a1ff4 SHA1 b8d282c5ca487e0a52965404720fd560b022d5c5 SHA256 c4c63835e011655e5f67693c3c4dc5ace2cbb4c74570032ca15bf77d72b6cf3b
-MD5 95b32bde1928602e971958275e462953 files/dbmail-lmtpd.initd 741
-RMD160 04b40188dbe506cc2fe675cc66efadbc823a1ff4 files/dbmail-lmtpd.initd 741
-SHA256 c4c63835e011655e5f67693c3c4dc5ace2cbb4c74570032ca15bf77d72b6cf3b files/dbmail-lmtpd.initd 741
-AUX dbmail-pop3d.initd 741 RMD160 f08a6dc77c4159c70b5b12ab1d3d27b56c044cc2 SHA1 cf27291896756595b4239298838a6f5bc0913692 SHA256 2bd9a5d2e1c3ac61ae95ca60b8db4d5036a2fc9966a311a01290b60d215d5d35
-MD5 18c5359096455e52b1a873ecb7255bf9 files/dbmail-pop3d.initd 741
-RMD160 f08a6dc77c4159c70b5b12ab1d3d27b56c044cc2 files/dbmail-pop3d.initd 741
-SHA256 2bd9a5d2e1c3ac61ae95ca60b8db4d5036a2fc9966a311a01290b60d215d5d35 files/dbmail-pop3d.initd 741
+AUX dbmail-imapd.initd 730 RMD160 c6da3a0cda2e767853c0c3239287dd347bed6ccc SHA1 37679fabcf02e277d660fe57a41b9b54d7de963e SHA256 f8c16208f31495d2557e6ac101f1dd9f18636268511c889a0ad4dee0c56612da
+MD5 76a0f8f96ca70a4af14c81716134cc5d files/dbmail-imapd.initd 730
+RMD160 c6da3a0cda2e767853c0c3239287dd347bed6ccc files/dbmail-imapd.initd 730
+SHA256 f8c16208f31495d2557e6ac101f1dd9f18636268511c889a0ad4dee0c56612da files/dbmail-imapd.initd 730
+AUX dbmail-lmtpd.initd 730 RMD160 c0d1d8dee950e7e30deddd5df9772881154430db SHA1 60a1a2e8828cfbb3ef48e38a472f4ddc01c3cfb1 SHA256 2aedd5fecc1ef28289c870030c31f8ecaded4f2651be355a40216262a8a4d4a3
+MD5 a6d79d7f0cf0fb80ef2ada71c25d9350 files/dbmail-lmtpd.initd 730
+RMD160 c0d1d8dee950e7e30deddd5df9772881154430db files/dbmail-lmtpd.initd 730
+SHA256 2aedd5fecc1ef28289c870030c31f8ecaded4f2651be355a40216262a8a4d4a3 files/dbmail-lmtpd.initd 730
+AUX dbmail-pop3d.initd 730 RMD160 f8376e0dfa1a721cd4d99b3797f92c4c30285fd8 SHA1 35c6b6e2f40e42b61e3add7f4f4d5f231904c851 SHA256 2b1ee1f7491e6fb94f0d9a6a1424ff3cba66b2880d6bc1d50f008da8be0a7c52
+MD5 504dd74912daeea4268f8c25ddf6de0f files/dbmail-pop3d.initd 730
+RMD160 f8376e0dfa1a721cd4d99b3797f92c4c30285fd8 files/dbmail-pop3d.initd 730
+SHA256 2b1ee1f7491e6fb94f0d9a6a1424ff3cba66b2880d6bc1d50f008da8be0a7c52 files/dbmail-pop3d.initd 730
DIST dbmail-2.0.10.tar.gz 632451 RMD160 3a9736e1e938b629a22cf52bbf5dba7b2b785dda SHA1 e9c2f856631e977d3bd3123dc1b5247454564966 SHA256 249a57d7c163155c7bf2ca758fa1fabc676aa84d3a0d8403e497a8da7ff49716
+DIST dbmail-2.1.6.2192.tar.gz 1044480 RMD160 580c9e5f014427bedf51aef90e2e80def6bf28f7 SHA1 b1a49461b698e6abef61c682427078b4a59bb98d SHA256 08aade300f5ebd2c6a72989d4f52dc046e2c88d391a855f368bf38c290e739f1
DIST dbmail-2.1.6.tar.gz 814724 RMD160 022d2d30a3afa5f15469d9913a6daf616a4d7247 SHA1 f5aff64f5de9e8b9d9306a738fd69c087c9f49ec SHA256 501c1b5df7f465372c91d823114be2521a48ff03fb028b75c33b43e4c44b34a8
EBUILD dbmail-2.0.10.ebuild 2487 RMD160 a317fa77a3693d5ca446b1a258190a27b0834d0b SHA1 8025c18a0c50180835350a6dc80f881a602860f2 SHA256 540c8263a3ccc19bde6cb73341591fb3f7fef46edb9ae734fe98156d71127f11
MD5 03fe442794a0d7483cdde7300ed8c9a3 dbmail-2.0.10.ebuild 2487
RMD160 a317fa77a3693d5ca446b1a258190a27b0834d0b dbmail-2.0.10.ebuild 2487
SHA256 540c8263a3ccc19bde6cb73341591fb3f7fef46edb9ae734fe98156d71127f11 dbmail-2.0.10.ebuild 2487
+EBUILD dbmail-2.1.6.2192.ebuild 2564 RMD160 4d30132a143ebe9bf00ae057bf4b232be153ca0b SHA1 32222510ff67e27cf2657e3c8bc8776baf98087c SHA256 962f830bfc7a48b84defef7c8980ba6f6fea4e01cdb68f6d5ca033744f36c181
+MD5 481b146617a45b036453f1cc7587efc2 dbmail-2.1.6.2192.ebuild 2564
+RMD160 4d30132a143ebe9bf00ae057bf4b232be153ca0b dbmail-2.1.6.2192.ebuild 2564
+SHA256 962f830bfc7a48b84defef7c8980ba6f6fea4e01cdb68f6d5ca033744f36c181 dbmail-2.1.6.2192.ebuild 2564
EBUILD dbmail-2.1.6.ebuild 2494 RMD160 5328cc299cdf8cbc75fc5b3c8ff0b3d7da7915af SHA1 c0f7a9a39206b481ed6f00f4c004a6bdea5366ea SHA256 ba2e6e0ce935fb04a9788a618ca917700d3620771a144549530fbef040a8d729
MD5 bfa596b8d983e849608f0a591e35a50f dbmail-2.1.6.ebuild 2494
RMD160 5328cc299cdf8cbc75fc5b3c8ff0b3d7da7915af dbmail-2.1.6.ebuild 2494
SHA256 ba2e6e0ce935fb04a9788a618ca917700d3620771a144549530fbef040a8d729 dbmail-2.1.6.ebuild 2494
-MISC ChangeLog 411 RMD160 ac4c8df3997390d3a995a246504b9b5d43ef8bf5 SHA1 3383899af1a178a07de2819aac3b1767a4ae5166 SHA256 d56c4a939f6a671230e5e633059e7eba20f671ac5ad3517f8f05d3f6e11a27fc
-MD5 5b93b007195982cc7a1024df9f617e83 ChangeLog 411
-RMD160 ac4c8df3997390d3a995a246504b9b5d43ef8bf5 ChangeLog 411
-SHA256 d56c4a939f6a671230e5e633059e7eba20f671ac5ad3517f8f05d3f6e11a27fc ChangeLog 411
+MISC ChangeLog 492 RMD160 72cec8016194def4f777a963b0351c3064e62550 SHA1 3919c1dfc5b2adc7aa221ad52391e37d90d14dda SHA256 ffadd10564eaec61b5016c44ade3f668dc07214108a11b9555394d9555d29c5a
+MD5 7c384a108c1a29f7e916fa83d8cc8e0a ChangeLog 492
+RMD160 72cec8016194def4f777a963b0351c3064e62550 ChangeLog 492
+SHA256 ffadd10564eaec61b5016c44ade3f668dc07214108a11b9555394d9555d29c5a ChangeLog 492
MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
MD5 1e678929a9fec6632e227bdf2262e9a1 metadata.xml 170
RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 metadata.xml 170
@@ -34,3 +39,6 @@ SHA256 ec548ba246a3fccc16caf05cf9c0fbb234a0d91c80bdf6ef0394df074d649bce files/di
MD5 6859b7d65a65cc03ec95f4b5b4e50c00 files/digest-dbmail-2.1.6 238
RMD160 5591f5be833b069d0fd8778e44a48f67f9d357d3 files/digest-dbmail-2.1.6 238
SHA256 a59681fa16851718db97944c3351f6a909034d8f3f0f3ddfc83d6d2e3f9b1bed files/digest-dbmail-2.1.6 238
+MD5 5f8ace463272b540b773934b4668c38c files/digest-dbmail-2.1.6.2192 256
+RMD160 7fc4ed89c0d53eed80807abe457f4bb752a34387 files/digest-dbmail-2.1.6.2192 256
+SHA256 7483e03ae62bcdfacd815bf63a1bf6360199ede3d4a37a8d59d858c35738fb07 files/digest-dbmail-2.1.6.2192 256
diff --git a/net-mail/dbmail/dbmail-2.1.6.2192.ebuild b/net-mail/dbmail/dbmail-2.1.6.2192.ebuild
new file mode 100644
index 000000000..08b83229b
--- /dev/null
+++ b/net-mail/dbmail/dbmail-2.1.6.2192.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils autotools
+
+DESCRIPTION="A mail storage and retrieval daemon that uses MySQL or PostgreSQL as its data store"
+HOMEPAGE="http://www.dbmail.org/"
+SRC_URI="http://gentoo.fh-luh.de/files/dbmail/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="ssl postgres"
+
+DEPEND="ssl? ( dev-libs/openssl )
+ postgres? ( >=dev-db/postgresql-7.4 )
+ !postgres? ( >=dev-db/mysql-4.1.13 )
+ app-text/asciidoc
+ app-text/xmlto
+ sys-libs/zlib
+ >=dev-libs/gmime-2.1
+ >=dev-libs/glib-2"
+
+ # not yet implemented
+ #depend dev-db/sqlite
+
+pkg_setup() {
+ if use postgres && has_version dev-db/mysql ; then
+ einfo "You have postgres use flag set, ${PN} will compile against PostgreSQL."
+ einfo "If you want to use MySQL instead, unset postgres use flag for this ebuild:"
+ einfo
+ einfo "echo \"net-mail/dbmail -postgres\" >> /etc/portage/package.use"
+ einfo
+ epause 3
+ fi
+
+ enewgroup dbmail
+ enewuser dbmail -1 -1 /var/lib/dbmail dbmail
+}
+
+src_compile() {
+ eautoreconf
+ econf \
+ --sysconfdir=/etc/dbmail \
+ $(use_with ssl) \
+ $(use_with postgres) \
+ $(use_with !postgres mysql) || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ dodoc AUTHORS BUGS EXTRAS ChangeLog UPGRADING \
+ INSTALL* VERSION NEWS README THANKS TODO
+ dodoc sql/mysql/*
+ dodoc sql/postgresql/*
+
+ sed -i -e "s:nobody:dbmail:" dbmail.conf
+ sed -i -e "s:nogroup:dbmail:" dbmail.conf
+ insinto /etc/dbmail
+ newins dbmail.conf dbmail.conf.dist
+
+ newinitd "${FILESDIR}"/dbmail-imapd.initd dbmail-imapd
+ newinitd "${FILESDIR}"/dbmail-lmtpd.initd dbmail-lmtpd
+ newinitd "${FILESDIR}"/dbmail-pop3d.initd dbmail-pop3d
+
+ dobin contrib/mailbox2dbmail/mailbox2dbmail
+ doman contrib/mailbox2dbmail/mailbox2dbmail.1
+
+ keepdir /var/lib/dbmail
+ fperms 750 /var/lib/dbmail
+
+}
+
+pkg_postinst() {
+ einfo "Please read /usr/share/doc/${PF}/INSTALL.gz"
+ einfo "for remaining instructions on setting up dbmail users and "
+ einfo "for finishing configuration to connect to your MTA and "
+ einfo "to connect to your db."
+ einfo
+ einfo "Database schemes can be found in /usr/share/doc/${PF}/"
+ einfo "You will also want to follow the installation instructions"
+ einfo "on setting up the maintenance program to delete old messages."
+ einfo "Don't forget to edit /etc/dbmail/dbmail.conf as well. :)"
+ einfo ">>> --- For maintenance ---"
+ einfo ">>> add this to crontab: 0 3 * * * /usr/bin/dbmail-util -cpdy >/dev/null 2>&1 "
+}
diff --git a/net-mail/dbmail/files/digest-dbmail-2.1.6.2192 b/net-mail/dbmail/files/digest-dbmail-2.1.6.2192
new file mode 100644
index 000000000..8a8fa98ec
--- /dev/null
+++ b/net-mail/dbmail/files/digest-dbmail-2.1.6.2192
@@ -0,0 +1,3 @@
+MD5 bba8a56f4290592ae32b9be7ceca9bae dbmail-2.1.6.2192.tar.gz 1044480
+RMD160 580c9e5f014427bedf51aef90e2e80def6bf28f7 dbmail-2.1.6.2192.tar.gz 1044480
+SHA256 08aade300f5ebd2c6a72989d4f52dc046e2c88d391a855f368bf38c290e739f1 dbmail-2.1.6.2192.tar.gz 1044480